REST api fto get account info ?
Status: Closed Start date: 2010-01-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Description

Hi,

it could be very useful for other software that would want to authenticate against redmine,

to have /my/account.(json|xml) return account information (User.current).

Here's a small patch to provide this.

Related issues:

Related to Redmine - Feature #296: REST API Closed

Is duplicate of Redmine - Feature #6260: REST API for Users Closed 2010-09-01

History

#1 - 2010-03-30 19:09 - Eric Hollering

+1 Definitely would like to see this.

#2 - 2010-05-01 16:40 - Jean-Philippe Lang

Sending the user's password hash in the response is not a good idea.

#3 - 2010-07-15 20:32 - Adam Kaplan

Jean-Philippe Lang wrote:

Sending the user's password hash in the response is not a good idea.

 I'm trying to get Redmine adopted by the NY Times and this API would be a critical step.  I think a user information API would be very powerful

feature:

Query for account existence

Ability to create an account stub

Retrieve core account info -- first, last, email

I'll create a more complex and secure patch based on the above.

#4 - 2010-12-03 19:40 - Jean-Philippe Lang

- Status changed from New to Closed

The REST API for Users was added in trunk and will be available in 1.1.

Files

rest_account.diff 1.5 KB 2010-01-16 Jérémy Lal
